petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscLayoutCompare

Compares two layouts

### Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutCompare(PetscLayout mapa,PetscLayout mapb,PetscBool *congruent)

Not Collective

### Input Parameters

| mapa | - pointer to the first map
| mapb | - pointer to the second map

### Output Parameters

congruent -PETSC_TRUE if the two layouts are congruent, PETSC_FALSE otherwise

### Notes

### See Also

PetscLayoutCreate(), PetscLayoutSetLocalSize(), PetscLayoutGetLocalSize(), PetscLayoutGetBlockSize(),
PetscLayoutGetRange(), PetscLayoutGetRanges(), PetscLayoutSetSize(), PetscLayoutGetSize(), PetscLayoutSetUp()

### Level

beginner

### Location

src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages